Skip to main content
`Ctrl`+`K`

# SNESNewtonTRDCPostCheck

Called after the step has been determined in `SNESNEWTONTRDC` but before the function evaluation at that step

## Synopsis

    #include "petscsnes.h"
    static PetscErrorCode SNESNewtonTRDCPostCheck(SNES snes, Vec X, Vec Y, Vec W, PetscBool *changed_Y, PetscBool *changed_W)

Logically Collective

## Input Parameters

- snes - the solver

- X - The last solution

- Y - The full step direction

- W - The updated solution, \(W = X - Y\)

## Output Parameters

- changed_Y - indicator if the step `Y` has been changed

- changed_W - Indicator if the new candidate solution `W` has been changed.

## Note

If `Y` is changed then `W` is recomputed as `X` - `Y`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONTRDC`, `SNESNEWTONTRDC`, `SNESNewtonTRDCSetPostCheck()`, `SNESNewtonTRDCGetPostCheck()`, `SNESNewtonTRDCPreCheck()

## Level

developer

## Location

src/snes/impls/ntrdc/ntrdc.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages